import hal
import glib
import time

import inspect

class HandlerClass:
	def on_Standard_changed(self,widget,data=None):
		val = widget.get_active()
		if val == 0:
			self.builder.get_object("sizes").set_model(self.builder.get_object("Metric_SHCS"))
		elif val == 1:
			self.builder.get_object("sizes").set_model(self.builder.get_object("Whitworth"))

	def on_sizes_changed(self,widget,data=None):
		data = widget.get_model()[widget.get_active_iter()]
		self.builder.get_object("CBore_depth").set_value(data[1])
		self.builder.get_object("CBore_dia").set_value(data[2])
		self.builder.get_object("CSink_depth").set_value(data[3])

	def on_spinbox_action(self,widget,data=None):
		p = self.builder.get_object("popuppad")
		d = self.builder.get_object("pad_val")
		d.set_text(str(widget.get_value()))
		d.select_region(0, len(d.get_text()))
		d.set_overwrite_mode(1)
		p.set_position(2)
		response = p.run()
		p.hide()
		if response == 1:
			widget.set_value(float(self.builder.get_object('pad_val').get_text()))

	def on_num_clicked(self,widget,data=None):
		d = self.builder.get_object("pad_val")
		if  widget.get_label() == 'CLR':
			if d.get_overwrite_mode():
				d.set_text('')
				d.set_overwrite_mode(0)
			else:
				d.set_text(d.get_text()[:-1])
		else:
			if d.get_overwrite_mode():
				d.set_text(widget.get_label())
				d.set_overwrite_mode(0)
			else:
				d.set_text(d.get_text() +  widget.get_label())

	def __init__(self, halcomp,builder,useropts):
		print "init"
		self.halcomp = halcomp
		self.builder = builder

def get_handlers(halcomp,builder,useropts):
    return [HandlerClass(halcomp,builder,useropts)]

